# Generated by Django 3.2.14 on 2023-02-28 08:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0109_profile_feature'),
        ('document', '0104_auto_20230227_1028'),
    ]

    operations = [
        migrations.CreateModel(
            name='DocumentAuthorTeamMemberMapping',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('team_member_crm_id', models.IntegerField()),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.provider')),
                ('sow_document', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='author_team_member_mapping', to='document.sowdocument')),
            ],
        ),
        migrations.CreateModel(
            name='DefaultDocumentCreatorRoleSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('default_sow_creator_role_id', models.IntegerField()),
                ('default_change_request_creator_role_id', models.IntegerField()),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='default_document_creator_role_setting', to='accounts.provider')),
            ],
        ),
    ]
